package com.serialio.sdm_tcpip_client.domain.repository

import com.serialio.sdm_tcpip_client.data.repository.sdm_device.model.SdmDevice
import kotlinx.coroutines.flow.Flow

interface SdmDeviceRepository {

    suspend fun addDevice(device : SdmDevice)

    suspend fun addDevices(devices : List<SdmDevice>)

    suspend fun updateStatus(deviceID: String, status: String)

    suspend fun clearDevices()

    suspend fun getDevices() :Flow<List<SdmDevice>>

}
