package com.serialio.sdm_tcpip_client.domain.repository

import com.serialio.sdm_tcpip_client.utils.ClientConnectionStatus
import kotlinx.coroutines.flow.Flow

interface TcpClientRepository {

    suspend fun connect(ip: String, port: Int): Flow<ClientConnectionStatus>

    suspend fun clientConnectionStatus(): Flow<ClientConnectionStatus>

    suspend fun sendMsg(msg: String) : Boolean

    suspend fun stopClient()

    suspend fun dataSentToServer(): Flow<String>
}
