package com.serialio.sdm_tcpip_client.domain.repository

import com.serialio.sdm_tcpip_client.data.upd_client.data.DataUdp
import kotlinx.coroutines.flow.Flow

/**
 * Created by Mykola Blyzniuk on 29.08.2022.
 */
interface UdpRepository {

    fun listenUdpData(portLocal: Int, portRemote: Int, ipLocal: String): Flow<DataUdp>

    suspend fun sendUdpData(ip: String, message: String)

    suspend fun stopUdpListening()
}
