package com.serialio.sdm_tcpip_client.utils

sealed class ClientConnectionStatus(val message: String? = null){
    object Connecting: ClientConnectionStatus()
    object Connected: ClientConnectionStatus()
    object Disconnected: ClientConnectionStatus()
    class OnDataReceived(message: String): ClientConnectionStatus(message)
    class Error(message: String): ClientConnectionStatus(message)
}
