package com.serialio.sdm_tcpip_client.utils;

import android.content.Context;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.util.Map;

public class FileUtils {
    public static boolean saveSharedPreferencesToFile(Context activity, File dst)
    {
        boolean res = false;
        FileOutputStream file = null;
        OutputStreamWriter fileStream = null;

        try
        {
            file = new FileOutputStream(dst);
            fileStream = new OutputStreamWriter(file);
        }
        catch (FileNotFoundException e)
        {
            e.printStackTrace();
        }
        if (fileStream == null) return false;

        SharedPreferences pref = PreferenceManager.getDefaultSharedPreferences(activity);
        Map<String, ?> prefsMap = pref.getAll();

        String strBuf = "";
        String strKey, strValue;
        Object objValue;
        for (Map.Entry<String, ?> entry : prefsMap.entrySet())
        {
            strKey = entry.getKey();
            objValue = entry.getValue();
            if (objValue == null) strValue = "";
            else strValue = objValue.toString();

            strBuf += String.format("%s: %s\n", strKey, strValue);
        }

        try
        {
            fileStream.write(strBuf, 0, strBuf.length());
            fileStream.flush();
            file.flush();
            res = true;
        }
        catch (IOException e)
        {
            e.printStackTrace();
        }
        catch (NullPointerException e)
        {
            e.printStackTrace();
        }

        return res;
    }

}
