package com.serialio.sdm_tcpip_client.utils

import java.net.Inet4Address
import java.net.NetworkInterface
import java.util.regex.Pattern


var STARTFOREGROUND_ACTION = "STARTFOREGROUND_ACTION"
var STOPFOREGROUND_ACTION = "STOPFOREGROUND_ACTION"
val CLIENT_CHANNEL_ID = "SIO_CLIENT_Channel"

fun getIpv4HostAddress(): String {
//    NetworkInterface.getNetworkInterfaces()?.toList()?.map { networkInterface ->
//        networkInterface.inetAddresses?.toList()?.find {
//            !it.isLoopbackAddress && it is Inet4Address
//        }?.let { return it.hostAddress }
//    }
//    return ""

    val networks = NetworkInterface.getNetworkInterfaces()
    for (nif in networks) {
        if (nif.name.contains("wlan")) {
            nif.inetAddresses?.toList()?.find {
                !it.isLoopbackAddress && it is Inet4Address //it.isSiteLocalAddress
            }?.let { return it.hostAddress ?: "" }
        }
    }
    return ""
}

fun isIpValid(ip: String): Boolean {
    val PATTERN = Pattern.compile(
        "^(([01]?\\d\\d?|2[0-4]\\d|25[0-5])\\.){3}([01]?\\d\\d?|2[0-4]\\d|25[0-5])$"
    )
    return PATTERN.matcher(ip).matches()
}
