package com.serialio.sdm_tcpip_client.cih

import okhttp3.RequestBody
import okhttp3.ResponseBody
import retrofit2.Call
import retrofit2.http.Body
import retrofit2.http.Header
import retrofit2.http.Headers
import retrofit2.http.POST

interface ApiConfig {
    @Headers(
        "Accept: text/xml", "Content-Type: text/xml","Isl-Methodname: iscanlist.uploadLog")
    @POST("upload_scanlist.php")
    fun uploadFile(
        @Header("Isl-Login") login: String,
        @Header("Isl-Password") password: String,
        @Header("Isl-Filename") filename: String,
        @Header("Isl-Filesize") filesize: String,
        @Header("Isl-Device") device: String,
        @Header("Isl-Username") usernam: String,
        @Header("Isl-Application-Name") appName: String,
        @Body  body : RequestBody): Call<ResponseBody>?
}
