package com.serialio.sdm_tcpip_client.cih

import okhttp3.OkHttpClient
import org.simpleframework.xml.convert.AnnotationStrategy
import org.simpleframework.xml.core.Persister
import retrofit2.Retrofit
import retrofit2.converter.simplexml.SimpleXmlConverterFactory
import java.util.concurrent.TimeUnit

class RetrofitConfig {

    companion object{ fun getRetrofit(): Retrofit? {
        val okHttpClient = OkHttpClient()
        okHttpClient.newBuilder()
            .readTimeout(10, TimeUnit.SECONDS)
            .build()
        val BASE_URL = "https://cloud-in-hand.com"
        return Retrofit.Builder().baseUrl(BASE_URL)
            .addConverterFactory(
                SimpleXmlConverterFactory.createNonStrict(
                    Persister(
                        AnnotationStrategy()
                    )
                )
            )
     .build()
    }
    }
}
