package com.serialio.sdm_tcpip_client.utils

import com.serialio.sdm_tcpip_client.App
import java.io.InputStream

fun parseCihResponse(inpStrem: InputStream?, length: Int): String {
    App.logger.putt("Have result from iScanList\n")
    val instream: InputStream = inpStrem!!
    var iContentLength = length
    App.logger.putt("Content length %d\n", iContentLength)
    var iTotalReceived = 0
    iContentLength = 1024
    if (iContentLength > 0) {
        val results = ByteArray(iContentLength)
        var resultss = ""
        while (iTotalReceived < iContentLength) {
            val results_len = instream.read(results, 0, iContentLength)
            if (results_len <= 0) break
            val results_trimmed = ByteArray(results_len)
            for (x in 0 until results_len) {
                results_trimmed[x] = results[x]
            }
            resultss += String(results_trimmed)
            iTotalReceived += results_len
            App.logger.putt("received length %d\n", results_len)
            App.logger.putt("total length %d\n", iTotalReceived)
        }
        resultss = resultss.replace("&apos;", "'")
        App.logger.putt("iScanList response:\n%s\n", resultss)
        val strError: String? = getErrorContent(resultss)
        if (strError != null) {
            return strError
        } else if (resultss.contains("<string>Invalid request</string>")) {
            return "Invalid request"
        } else if (resultss.contains("Wrong file size.")) {
            return "Wrong file size"
        } else if (resultss.contains("<value>OK</value>")) {
            return "Success"
        } else {
            return "Wrong response from server"
        }
    }
    return "Failed"
}

private fun getErrorContent(strResponse: String): String? {
    var strError: String? = null
    val iErrorPos = strResponse.indexOf("Error:")
    if (iErrorPos >= 0) {
        val iErrorEnd = strResponse.indexOf("</string>")
        strError = strResponse.substring(iErrorPos, iErrorEnd)
    }
    return strError
}
