package com.serialio.sdm_tcpip_client.utils;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.util.zip.ZipEntry;
import java.util.zip.ZipOutputStream;

public class Zipper {
    public static boolean addToZip(String[] strFilenames, String strZip, String time) {
        boolean bRes = false;
        try {
            BufferedInputStream origin = null;
            FileOutputStream dest = new FileOutputStream(strZip);
            dest.getChannel().position(0);

            ZipOutputStream out = new ZipOutputStream(new BufferedOutputStream(dest));

            byte data[] = new byte[1024];

            for (String strFilename : strFilenames) {
                File file = new File(strFilename);
                if (file.exists()) {
                    FileInputStream fi = new FileInputStream(strFilename);
                    origin = new BufferedInputStream(fi, 1024);
                    ZipEntry entry = null;
                    if(strFilename.contains("description")) {
                         entry = new ZipEntry(strFilename.substring(strFilename.lastIndexOf("/") + 1));
                    }else{
                         entry = new ZipEntry(time + strFilename.substring(strFilename.lastIndexOf("/") + 1));
                    }
                    out.putNextEntry(entry);
                    int count = 1024;
                    while ((count = origin.read(data, 0, 1024)) != -1) {
                        out.write(data, 0, count);
                    }
                    origin.close();
                    fi.close();
                }
            }

            out.close();
            bRes = true;
        } catch (Exception e) {
            e.printStackTrace();
        }
        return bRes;
    }

}
